Object.defineProperty(exports, "__esModule", { value: true });
// Load npm modules.
const spawn_process_promise_1 = require("spawn-process-promise");
exports.default = async (cmd, args, options = {}) => {
    const result = await spawn_process_promise_1.default(cmd, args, Object.assign({
        shell: true,
        stdio: 'inherit',
    }, options));
    if (result.code !== 0) {
        throw new Error([
            `The application '${cmd}' has exited with code ${result.code}:`,
            ` - args: ${JSON.stringify(args)}`,
            ...(result.data.out !== ''
                ? [` - out: ${result.data.out}`]
                : []),
            ...(result.data.err !== ''
                ? [` - err: ${result.data.err}`]
                : []),
        ].join('\n'));
    }
};
//# sourceMappingURL=spawn_process_promise.js.map